GET /katello/api/content_views/:composite_content_view_id/content_view_components
List components attached to this content view

Examples

GET /katello/api/content_views/1058174596/content_view_components
204

Params

Param name Description
composite_content_view_id
required

composite content view identifier

Validations:

  • Must be a number.


PUT /katello/api/content_views/:composite_content_view_id/content_view_components/add
Add components to the content view

Examples

PUT /katello/api/content_views/1058174597/content_view_components/add
{
  "components": [
    {
      "content_view_id": 909058347,
      "latest": true
    }
  ],
  "content_view_component": {}
}
200
{
  "total": 0,
  "subtotal": 0,
  "selectable": 0,
  "page": null,
  "per_page": null,
  "error": null,
  "search": null,
  "sort": {
    "by": null,
    "order": null
  },
  "results": []
}

Params

Param name Description
composite_content_view_id
required

composite content view identifier

Validations:

  • Must be a number.

components
required

Array of components to add

Validations:

  • Must be an Array of nested elements

components[content_view_version_id]
optional

identifier of the version of the component content view

Validations:

  • Must be a number.

components[content_view_id]
optional

content view identifier of the component who’s latest version is desired

Validations:

  • Must be a number.

components[latest]
optional

true if the latest version of the component’s content view is desired

Validations:

  • Must be one of: true, false, 1, 0.


PUT /katello/api/content_views/:composite_content_view_id/content_view_components/remove
Remove components from the content view

Examples

PUT /katello/api/content_views/1058174592/content_view_components/remove
{
  "component_ids": [
    5
  ],
  "content_view_component": {}
}
200
{
  "total": 0,
  "subtotal": 0,
  "selectable": 0,
  "page": null,
  "per_page": null,
  "error": null,
  "search": null,
  "sort": {
    "by": null,
    "order": null
  },
  "results": []
}

Params

Param name Description
composite_content_view_id
required

composite content view identifier

Validations:

  • Must be a number.

component_ids
required

Array of content view component IDs to remove. Identifier of the component association

Validations:

  • Must be an array of any type


GET /katello/api/content_views/:composite_content_view_id/content_view_components/:id
Show a content view component

Examples

GET /katello/api/content_views/1058174589/content_view_components/2
204

Params

Param name Description
composite_content_view_id
required

composite content view numeric identifier

Validations:

  • Must be a number.

id
required

content view component ID. Identifier of the component association

Validations:

  • Must be a number.


PUT /katello/api/content_views/:composite_content_view_id/content_view_components/:id
Update a component associated with the content view

Examples

PUT /katello/api/content_views/1058174588/content_view_components/1
{
  "content_view_version_id": 172022917,
  "latest": false,
  "content_view_component": {
    "content_view_version_id": 172022917,
    "latest": false
  }
}
200
{
  "latest": false,
  "id": 1,
  "created_at": "2026-11-03 08:02:40 UTC",
  "updated_at": "2026-11-03 08:02:40 UTC",
  "composite_content_view": {
    "id": 1058174588,
    "name": "Database20",
    "label": "Database20",
    "description": "This content view is for database content",
    "next_version": 1,
    "latest_version": null,
    "version_count": 0
  },
  "content_view": {
    "id": 909058347,
    "name": "Published Library and dev view",
    "label": "published_dev_view",
    "description": "A content view",
    "next_version": 2,
    "latest_version": "1.0",
    "version_count": 1
  },
  "content_view_version": {
    "id": 172022917,
    "name": "Published Library and dev view 1.0",
    "content_view_id": 909058347,
    "version": "1.0",
    "content_view": {
      "id": 909058347,
      "name": "Published Library and dev view",
      "label": "published_dev_view",
      "description": "A content view"
    },
    "environments": [
      {
        "id": 562075838,
        "name": "Library",
        "label": "library_label"
      },
      {
        "id": 292811013,
        "name": "Dev",
        "label": "dev_label"
      },
      {
        "id": 292811013,
        "name": "Dev",
        "label": "dev_label"
      }
    ],
    "repositories": [
      {
        "id": 748949853,
        "name": "Fedora 17 x86_64",
        "label": "fedora_17_x86_64_label",
        "description": "My description"
      },
      {
        "id": 717034840,
        "name": "My Files",
        "label": "My_Files",
        "description": null
      }
    ]
  },
  "component_content_view_versions": [
    {
      "id": 172022917,
      "version": "1.0",
      "description": null,
      "published_at_words": "1 minute"
    }
  ]
}

Params

Param name Description
composite_content_view_id
required

composite content view identifier

Validations:

  • Must be a number.

id
required

content view component ID. Identifier of the component association

Validations:

  • Must be a number.

content_view_version_id
optional

identifier of the version of the component content view

Validations:

  • Must be a number.

latest
optional

true if the latest version of the components content view is desired

Validations:

  • Must be one of: true, false, 1, 0.